Package net.shibboleth.idp.installer.impl

# Class UpdateIdPArguments

java.lang.Object
net.shibboleth.shared.cli.AbstractCommandLineArguments
net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLineArguments
net.shibboleth.idp.installer.impl.UpdateIdPArguments

All Implemented Interfaces:
  `CommandLineArguments`

public class UpdateIdPArguments extends AbstractIdPHomeAwareCommandLineArguments
Arguments for IdP "Updater" CLI.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`UpdateIdPArguments.OperationType`
Operation enum.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`downloadDir`
Where to download.
`private Path`
`downloadDirPath`
The path variant of `downloadDir`, non null if this is a `UpdateIdPArguments.OperationType.DOWLOAD`.
`private String`
`forceDownloadVersion`
Force download version.
`private InstallableComponentVersion`
`fromVersion`
The version to upgrade from as a `InstallableComponentVersion`.
`private boolean`
`list`
Brief info about available versions.
`private org.slf4j.Logger`
`log`
Logger.
`private UpdateIdPArguments.OperationType`
`operation`
What to do.
`private String`
`pretendVersion`
For tests "pretend to be that version.
`private String`
`truststore`
Truststore to use for signing.
`private String`
`updateURL`
location to override the default update location.
`private InstallableComponentVersion`
`updateVersion`
`forceDownloadVersion` as a `InstallableComponentVersion`.

## Constructor Summary

Constructors
Constructor
Description
`UpdateIdPArguments()`

## Method Summary

Modifier and Type
Method
Description
`Path`
`getDownloadLocation()`
Get the download Directory.
`org.slf4j.Logger`
`getLog()`
`UpdateIdPArguments.OperationType`
`getOperation()`
Get operation to perform.
`String`
`getTruststore()`
get TrustStore (if specified).
`InstallableComponentVersion`
`getUpdateFromVersion()`
Return the version to update from.
`InstallableComponentVersion`
`getUpdateToVersion()`
Return the version to update to or null.
`List<String>`
`getUpdateURLs()`
return the update URL or null.
`boolean`
`isCheck()`
Are we checking the version or not?
`boolean`
`isList()`
Are we doing a List?
`void`
`printHelp(PrintStream out)`
`void`
`validate()`

### Methods inherited from class net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLineArguments

`getHttpClientName, getHttpClientSecurityParameterstName, getIdPHome, setHttpClientName`

### Methods inherited from class net.shibboleth.shared.cli.AbstractCommandLineArguments

`getLanguageRanges, getLoggingConfiguration, getOtherArgs, getPropertyFiles, isANSI, isHelp, isQuietOutput, isVerboseOutput, isVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nullable private org.slf4j.Logger log
Logger.

### list

private boolean list
Brief info about available versions.

### downloadDir

@Nullable private String downloadDir
Where to download.

### truststore

@Nullable private String truststore
Truststore to use for signing.

### forceDownloadVersion

@Nullable private String forceDownloadVersion
Force download version.

### updateURL

@Nullable private String updateURL
location to override the default update location.

### pretendVersion

@Nullable private String pretendVersion
For tests "pretend to be that version.

### updateVersion

@Nullable private InstallableComponentVersion updateVersion
`forceDownloadVersion` as a `InstallableComponentVersion`.

### fromVersion

@NonnullBeforeExec private InstallableComponentVersion fromVersion
The version to upgrade from as a `InstallableComponentVersion`.

### downloadDirPath

@Nullable private Path downloadDirPath
The path variant of `downloadDir`, non null if this is a `UpdateIdPArguments.OperationType.DOWLOAD`.

### operation

@Nonnull private UpdateIdPArguments.OperationType operation
What to do.

## Constructor Details

### UpdateIdPArguments

public UpdateIdPArguments()

## Method Details

### getLog

@Nonnull public org.slf4j.Logger getLog()

Specified by:
  `getLog` in class `AbstractCommandLineArguments`

### getTruststore

@Nullable public String getTruststore()
get TrustStore (if specified).

Returns:
  the trust store

### getDownloadLocation

@Nonnull public Path getDownloadLocation()
Get the download Directory. Only valid for `UpdateIdPArguments.OperationType.DOWLOAD`

Returns:
  Returns the download directory

### isList

public boolean isList()
Are we doing a List?

Returns:
  whether we're doing a list

### isCheck

public boolean isCheck()
Are we checking the version or not?

Returns:
  if we are just checking

### getUpdateToVersion

@Nullable public InstallableComponentVersion getUpdateToVersion()
Return the version to update to or null.

Returns:
  the version or null

### getUpdateFromVersion

@Nonnull public InstallableComponentVersion getUpdateFromVersion()
Return the version to update from.

Returns:
  the version

### getUpdateURLs

@Nonnull public List<String> getUpdateURLs()
return the update URL or null.

Returns:
  null or the value supplied

### getOperation

@Nonnull public UpdateIdPArguments.OperationType getOperation()
Get operation to perform.

Returns:
  operation

### validate

public void validate() throws IllegalArgumentException

Specified by:
  `validate` in interface `CommandLineArguments`
Overrides:
  `validate` in class `AbstractCommandLineArguments`
Throws:
  `IllegalArgumentException`

### printHelp

public void printHelp(@Nonnull PrintStream out)

Specified by:
  `printHelp` in interface `CommandLineArguments`
Overrides:
  `printHelp` in class `AbstractIdPHomeAwareCommandLineArguments`